version: 0.4.0
vars: {}
graph:
  id: test_majority_voting
  description: Majority-voting demo across three agents.
  is_majority_voting: true
  start:
    - A1
    - A2
    - A3
  end: A3
  nodes:
  - id: A1
    type: agent
    config:
      provider: openai
      name: gpt-4o
      role: You are a helpful assistant. Respond with 'Option A'
      base_url: ${BASE_URL}
      api_key: ${API_KEY}
      params:
        temperature: 0.1
        max_tokens: 16
  - id: A2
    type: agent
    config:
      provider: openai
      name: gpt-4o
      role: You are a helpful assistant. Respond with 'Option A'
      base_url: ${BASE_URL}
      api_key: ${API_KEY}
      params:
        temperature: 0.1
        max_tokens: 16
  - id: A3
    type: agent
    config:
      provider: openai
      name: gpt-4o
      role: You are a helpful assistant. Respond with 'Option B'
      base_url: ${BASE_URL}
      api_key: ${API_KEY}
      params:
        temperature: 0.1
        max_tokens: 16
